Package htsjdk.samtools.cram.compression.rans.ransnx16

# Class RANSNx16Params

java.lang.Object
htsjdk.samtools.cram.compression.rans.ransnx16.RANSNx16Params

All Implemented Interfaces:
  `RANSParams`

public class RANSNx16Params extends Object implements RANSParams

## Nested Class Summary

## Nested classes/interfaces inherited from interface htsjdk.samtools.cram.compression.rans.RANSParams

`RANSParams.ORDER`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CAT_FLAG_MASK`
`static final int`
`N32_FLAG_MASK`
`static final int`
`NOSZ_FLAG_MASK`
`static final int`
`ORDER_FLAG_MASK`
`static final int`
`PACK_FLAG_MASK`
`static final int`
`RLE_FLAG_MASK`
`static final int`
`STRIPE_FLAG_MASK`

## Constructor Summary

Constructors
Constructor
Description
`RANSNx16Params(int formatFlags)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getFormatFlags()`
`int`
`getNumInterleavedRANSStates()`
`RANSParams.ORDER`
`getOrder()`
`boolean`
`isCAT()`
`boolean`
`isNosz()`
`boolean`
`isPack()`
`boolean`
`isRLE()`
`boolean`
`isStripe()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ORDER_FLAG_MASK

public static final int ORDER_FLAG_MASK

See Also:
  - Constant Field Values

### N32_FLAG_MASK

public static final int N32_FLAG_MASK

See Also:
  - Constant Field Values

### STRIPE_FLAG_MASK

public static final int STRIPE_FLAG_MASK

See Also:
  - Constant Field Values

### NOSZ_FLAG_MASK

public static final int NOSZ_FLAG_MASK

See Also:
  - Constant Field Values

### CAT_FLAG_MASK

public static final int CAT_FLAG_MASK

See Also:
  - Constant Field Values

### RLE_FLAG_MASK

public static final int RLE_FLAG_MASK

See Also:
  - Constant Field Values

### PACK_FLAG_MASK

public static final int PACK_FLAG_MASK

See Also:
  - Constant Field Values

## Constructor Details

### RANSNx16Params

public RANSNx16Params(int formatFlags)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getOrder

public RANSParams.ORDER getOrder()

Specified by:
  `getOrder` in interface `RANSParams`

### getFormatFlags

public int getFormatFlags()

Specified by:
  `getFormatFlags` in interface `RANSParams`

### getNumInterleavedRANSStates

public int getNumInterleavedRANSStates()

### isStripe

public boolean isStripe()

### isNosz

public boolean isNosz()

### isCAT

public boolean isCAT()

### isRLE

public boolean isRLE()

### isPack

public boolean isPack()